<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class TemplateSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $forms = [
            ['id' => '0dbdb1e7-53d1-4905-9197-bc97fbcbb5eq', 'name' => 'Counseling registration form', 'slug' => 'counseling-registration-form-9ys', 'description' => 'Counseling registration form', 'schema' => '{"form":[{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h1","text_color":"#ee301d","content":"Counseling registration form","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"p","text_color":"#343637","content":"Provide your details below to attend Counseling.","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Name","help_text":null,"prefix_icon":"fa-user","suffix_icon":"none","placeholder":"Enter your name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-6","custom_attributes":[]},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"text","subtype":"email","label":"Email","help_text":null,"prefix_icon":"fa-envelope","suffix_icon":"none","placeholder":"Email to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[{"rule":"email","error_msg":"Please provide a valid email"}],"conditional_class":null,"col":"col-md-6","custom_attributes":[]},{"id":13,"name":"field_14","extras":{"showConfigurator":false},"type":"range","label":"Age","help_text":null,"min":"20","max":"60","step":"1","data_orientation":"horizontal","conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]},{"id":14,"name":"field_15","extras":{"showConfigurator":false},"type":"text_editor","label":"Tell us something about youself","placeholder":"Jot Down Here","help_text":null,"editor_height":150,"conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]},{"id":15,"name":"field_16","extras":{"showConfigurator":false},"type":"radio","label":"which counseling session do you want?","help_text":null,"options":"Career\\nHealth\\nFinancial Goal","conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":false,"required_error_msg":"This field is required","validations":[]},{"id":17,"name":"field_18","extras":{"showConfigurator":false},"type":"switch","label":"Should we contact you via phone?","conditional_class":null,"help_text":null,"size":"switch","col":"col-md-12","custom_attributes":[],"required":false,"required_error_msg":"This field is required","validations":[]},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Phone No.","help_text":null,"prefix_icon":"fa-phone","suffix_icon":"none","placeholder":"Phone number to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-6","custom_attributes":[]},{"id":12,"name":"field_13","extras":{"showConfigurator":false},"type":"calendar","label":"Good time to contact you","help_text":null,"size":null,"prefix_icon":"fa-clock","suffix_icon":"none","custom_class":null,"start_date":"none","end_date":"none","format":null,"disabled_days":[],"enable_time_picker":true,"time_format":"12","time_picker_inline":false,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-6","custom_attributes":[]}],"emailConfig":{"email":{"from":"admin@admin.com","to":"admin@admin.com","cc":null,"bcc":null,"subject":"New Customer details:  __field_1__","body":"New Feedback:\\n\\nName:  __field_1__\\nEmail:  __field_2__\\nOffice address: __field_8__\\nHome address:  __field_12__\\nContact time:  __field_13__"},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":0,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#ffffff","image_path":null},"notification":{"post_submit_action":"same_page","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":null,"position":"toast-bottom-center"},"submit":{"text":"Submit","loading_text":"Submitting...","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-primary","btn_style":"default","btn_icon":"none","icon_position":"left"},"form_data":{"col_visible":["field_1","field_2","field_14","field_15","field_16","field_18","field_13"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":false,"prefix":null,"suffix":null,"start_no":"1","min_digit":"4"},"theme":"cosmo","is_enabled_draft_submit":0},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":"show","element":"field_4","conditions":[{"condition":"field_18","value":"1","element_type":"switch","element_index":7,"operator":"=="}]},{"action":"show","element":"field_13","conditions":[{"condition":"field_18","value":"1","element_type":"switch","element_index":7,"operator":"=="}]}],"form_attributes":[]}', 'mailchimp_details' => '{"is_enable":false,"api_key":null,"list_id":null,"email_field":null,"name_field":null}', 'is_template' => '0', 'created_by' => '1', 'submission_count' => '0', 'created_at' => '2020-07-28 15:32:42', 'updated_at' => '2020-07-29 12:13:41'],
            ['id' => '0dbdb1e7-53d1-4905-ddwd-bc97fbcbb554', 'name' => 'Counseling registration form', 'slug' => 'counseling-registration-form-9ys', 'description' => 'Counseling registration form', 'schema' => '{"form":[{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h1","text_color":"#ee301d","content":"Counseling registration form","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"p","text_color":"#343637","content":"Provide your details below to attend Counseling.","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Name","help_text":null,"prefix_icon":"fa-user","suffix_icon":"none","placeholder":"Enter your name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-4","custom_attributes":[]},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"text","subtype":"email","label":"Email","help_text":null,"prefix_icon":"fa-envelope","suffix_icon":"none","placeholder":"Email to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[{"rule":"email","error_msg":"Please provide a valid email"}],"conditional_class":null,"col":"col-md-4","custom_attributes":[]},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Phone No.","help_text":null,"prefix_icon":"fa-phone","suffix_icon":"none","placeholder":"Phone number to contact you","size":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-4","custom_attributes":[]},{"id":13,"name":"field_14","extras":{"showConfigurator":false},"type":"range","label":"Age","help_text":null,"min":"20","max":"60","step":"1","data_orientation":"horizontal","conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]},{"id":14,"name":"field_15","extras":{"showConfigurator":false},"type":"text_editor","label":"Tell us something abot you","placeholder":"Jot Down Here","help_text":null,"editor_height":150,"conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]},{"id":15,"name":"field_16","extras":{"showConfigurator":false},"type":"radio","label":"which counseling session do you want?","help_text":null,"options":"Career\\nHealth\\nFinancial Goal","conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":false,"required_error_msg":"This field is required","validations":[]},{"id":12,"name":"field_13","extras":{"showConfigurator":false},"type":"calendar","label":"Good time to contact you","help_text":null,"size":null,"prefix_icon":"fa-clock","suffix_icon":"none","custom_class":null,"start_date":"none","end_date":"none","format":null,"disabled_days":[],"enable_time_picker":true,"time_format":"12","time_picker_inline":false,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]}],"emailConfig":{"email":{"from":"admin@admin.com","to":"admin@admin.com","cc":null,"bcc":null,"subject":"New Customer details:  __field_1__","body":"New Feedback:\\n\\nName:  __field_1__\\nEmail:  __field_2__\\nOffice address: __field_8__\\nHome address:  __field_12__\\nContact time:  __field_13__"},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":0,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#ffffff","image_path":null},"notification":{"post_submit_action":"same_page","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":null,"position":"toast-top-right"},"submit":{"text":"Submit","loading_text":"Submitting...","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-primary","btn_style":"default","btn_icon":"none","icon_position":"left"},"form_data":{"col_visible":["field_1","field_2","field_14","field_13","field_15","field_16"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":false,"prefix":null,"suffix":null,"start_no":"1","min_digit":"4"},"theme":"cosmo","is_enabled_draft_submit":0},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":null,"element":null,"conditions":[{"condition":null,"value":null,"element_type":"text","element_index":null,"operator":"=="}]}],"form_attributes":[]}', 'mailchimp_details' => '{"is_enable":false,"api_key":null,"list_id":null,"email_field":null,"name_field":null}', 'is_template' => '1', 'created_by' => '1', 'submission_count' => '0', 'created_at' => '2020-07-28 15:32:42', 'updated_at' => '2020-07-28 15:32:42'],
            ['id' => '254525ab-e3b4-45f0-1213-24cf89fed1ee', 'name' => 'Appointment request', 'slug' => 'appointment-request-omp', 'description' => 'Appointment request for any service', 'schema' => '{"form":[{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h1","text_color":"#ee301d","content":"Appointment Request","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"p","text_color":"#515658","content":"Let us know how we can help transform your landscape!","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Name","help_text":null,"prefix_icon":"fa-user","suffix_icon":"none","placeholder":"Enter your name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-4","custom_attributes":[]},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Phone No.","help_text":null,"prefix_icon":"fa-phone","suffix_icon":"none","placeholder":"Phone number to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-4","custom_attributes":[]},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"text","subtype":"email","label":"Email","help_text":null,"prefix_icon":"fa-envelope","suffix_icon":"none","placeholder":"Email to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[{"rule":"email","error_msg":"Please provide a valid email"}],"conditional_class":null,"col":"col-md-4","custom_attributes":[]},{"id":7,"name":"field_8","extras":{"showConfigurator":false},"type":"textarea","label":"Address","help_text":null,"prefix_icon":"fa-map-marker","suffix_icon":"none","rows":3,"columns":null,"placeholder":"Provide street, landmark, city, state, postal code, country","custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":8,"name":"field_9","extras":{"showConfigurator":false},"type":"checkbox","label":"What days work best for you?","help_text":null,"options":"Monday\\nTuesday\\nWednesday\\nThursday\\nFriday\\nSaturday","required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":9,"name":"field_10","extras":{"showConfigurator":false},"type":"radio","label":"What time works best for you?","help_text":null,"options":"Morning\\nAfternoon\\nEvening","required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":10,"name":"field_11","extras":{"showConfigurator":false},"type":"calendar","label":"Any specific date\\/time?","help_text":null,"size":null,"prefix_icon":"fa-calendar-check","suffix_icon":"none","custom_class":null,"start_date":"today","end_date":"none","format":"MM-DD-YYYY","disabled_days":[],"enable_time_picker":true,"time_format":"12","time_picker_inline":true,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":11,"name":"field_12","extras":{"showConfigurator":false},"type":"textarea","label":"What services are you intersted in?","help_text":null,"prefix_icon":"none","suffix_icon":"none","rows":3,"columns":null,"placeholder":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":13,"name":"field_14","extras":{"showConfigurator":false},"type":"terms_and_condition","label":"Terms & Conditions","link":null,"custom_class":null,"conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]}],"emailConfig":{"email":{"from":"admin@admin.com","to":"admin@admin.com","cc":null,"bcc":null,"subject":"New Appointment request from :  __field_1__","body":"New Appoinment request : \\nName :  __field_1__\\nPhone Number :  __field_4__\\nEmail :  __field_2__\\nAddress :  __field_8__\\nWhat Days work best for  __field_1__ :  __field_9__\\nWhat time work best for  __field_1__  :  __field_10__\\nSpecific date\\/time :  __field_11__ \\nService Intrested In :  __field_12__"},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":0,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#ffffff","image_path":null},"notification":{"post_submit_action":"same_page","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":null,"position":"toast-top-right"},"submit":{"text":"Submit","loading_text":"Submitting...","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-primary","btn_style":"default","btn_icon":"none","icon_position":"left"},"form_data":{"col_visible":["field_1","field_2","field_8","field_9","field_10","field_11","field_12","field_13","field_14"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":false,"prefix":null,"suffix":null,"start_no":"1","min_digit":"4"},"theme":"yeti","is_enabled_draft_submit":0},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":null,"element":null,"conditions":[{"condition":null,"value":null,"element_type":"text","element_index":null,"operator":"=="}]}],"form_attributes":[]}', 'mailchimp_details' => '{"is_enable":false,"api_key":null,"list_id":null,"email_field":null,"name_field":null}', 'is_template' => '1', 'created_by' => '1', 'submission_count' => '0', 'created_at' => '2020-07-28 15:32:42', 'updated_at' => '2020-07-28 15:32:42'],
            ['id' => '254525ab-e3b4-45f0-9d1e-24cf89fedwq1', 'name' => 'Appointment request form', 'slug' => 'appointment-request-form-att', 'description' => 'Appointment request for any service', 'schema' => '{"form":[{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h1","text_color":"#ee301d","content":"Appointment request","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"p","text_color":"#515658","content":"Let us know how we can help transform your landscape! the theme used here is \'yeti\'.","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Name","help_text":null,"prefix_icon":"fa-user","suffix_icon":"none","placeholder":"Enter your name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-4","custom_attributes":[]},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Phone No.","help_text":null,"prefix_icon":"fa-phone","suffix_icon":"none","placeholder":"Phone number to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-4","custom_attributes":[]},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"text","subtype":"email","label":"Email","help_text":null,"prefix_icon":"fa-envelope","suffix_icon":"none","placeholder":"Email to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[{"rule":"email","error_msg":"Please provide a valid email"}],"conditional_class":null,"col":"col-md-4","custom_attributes":[]},{"id":7,"name":"field_8","extras":{"showConfigurator":false},"type":"textarea","label":"Address","help_text":null,"prefix_icon":"fa-map-marker","suffix_icon":"none","rows":3,"columns":null,"placeholder":"Provide street, landmark, city, state, postal code, country","custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":8,"name":"field_9","extras":{"showConfigurator":false},"type":"checkbox","label":"What days work best for you?","help_text":null,"options":"Monday\\nTuesday\\nWednesday\\nThursday\\nFriday\\nSaturday","required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":9,"name":"field_10","extras":{"showConfigurator":false},"type":"radio","label":"What time works best for you?","help_text":null,"options":"Morning\\nAfternoon\\nEvening","required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":10,"name":"field_11","extras":{"showConfigurator":false},"type":"calendar","label":"Any specific date\\/time?","help_text":null,"size":null,"prefix_icon":"fa-calendar-check","suffix_icon":"none","custom_class":null,"start_date":"today","end_date":"none","format":"MM-DD-YYYY","disabled_days":[],"enable_time_picker":true,"time_format":"12","time_picker_inline":true,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":11,"name":"field_12","extras":{"showConfigurator":false},"type":"textarea","label":"What services are you intersted in?","help_text":null,"prefix_icon":"none","suffix_icon":"none","rows":3,"columns":null,"placeholder":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":13,"name":"field_14","extras":{"showConfigurator":false},"type":"terms_and_condition","label":"Terms & Conditions","link":null,"custom_class":null,"conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]}],"emailConfig":{"email":{"from":"admin@admin.com","to":"admin@admin.com","cc":null,"bcc":null,"subject":"New Appointment request from :  __field_1__","body":"New Appoinment request : \\nName :  __field_1__\\nPhone Number :  __field_4__\\nEmail :  __field_2__\\nAddress :  __field_8__\\nWhat Days work best for  __field_1__ :  __field_9__\\nWhat time work best for  __field_1__  :  __field_10__\\nSpecific date\\/time :  __field_11__ \\nService Intrested In :  __field_12__"},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":0,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#ffffff","image_path":null},"notification":{"post_submit_action":"same_page","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":null,"position":"toast-top-right"},"submit":{"text":"Submit","loading_text":"Submitting...","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-primary","btn_style":"default","btn_icon":"none","icon_position":"left"},"form_data":{"col_visible":["field_1","field_2","field_8","field_9","field_10","field_11","field_12","field_13","field_14"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":false,"prefix":null,"suffix":null,"start_no":"1","min_digit":"4"},"theme":"yeti","is_enabled_draft_submit":0},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":null,"element":null,"conditions":[{"condition":null,"value":null,"element_type":"text","element_index":null,"operator":"=="}]}],"form_attributes":[]}', 'mailchimp_details' => '{"is_enable":false,"api_key":null,"list_id":null,"email_field":null,"name_field":null}', 'is_template' => '0', 'created_by' => '1', 'submission_count' => '0', 'created_at' => '2020-07-28 15:32:42', 'updated_at' => '2020-07-29 11:58:55'],
            ['id' => '2cf00d1d-9553-42d5-b406-002d0fa0a426', 'name' => 'Product order', 'slug' => 'product-order-mktts', 'description' => 'Product order form for your customers', 'schema' => '{"form":[{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h2","text_color":"#f32b6d","content":"Product Order","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Name","help_text":null,"prefix_icon":"fa-user","suffix_icon":"none","placeholder":"Enter your name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-6","custom_attributes":[]},{"id":2,"name":"field_3","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Company","help_text":null,"prefix_icon":"fa-briefcase","suffix_icon":"none","placeholder":"Enter Company name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-6","custom_attributes":[]},{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Phone no.","help_text":null,"prefix_icon":"fa-phone-square","suffix_icon":"none","placeholder":"Enter phone no. to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[{"rule":"digits","error_msg":"Please Provide valid number."}],"conditional_class":null,"col":"col-md-12"},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"textarea","label":"Shipping Address","help_text":null,"prefix_icon":"fa-map-marker-alt","suffix_icon":"none","rows":3,"columns":null,"placeholder":"Provide street, landmark, city, state, postal code, country","custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":4,"name":"field_5","extras":{"showConfigurator":false},"type":"textarea","label":"Billing Address","help_text":null,"prefix_icon":"fa-map-marker","suffix_icon":"none","rows":3,"columns":null,"placeholder":"Provide street, landmark, city, state, postal code, country","custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"textarea","label":"Special Instructions","help_text":null,"prefix_icon":"fa-info","suffix_icon":"none","rows":3,"columns":null,"placeholder":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":7,"name":"field_8","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h4","text_color":"#212529","content":"My products","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":8,"name":"field_9","extras":{"showConfigurator":false},"type":"checkbox","label":null,"help_text":null,"options":"Product 1 $3.00","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-6","custom_attributes":[]},{"id":9,"name":"field_10","extras":{"showConfigurator":false},"type":"dropdown","label":"Quantity For Product 1","help_text":null,"prefix_icon":"none","suffix_icon":"none","options":"1\\n2\\n3\\n4\\n5\\n6\\n7\\n8\\n9\\n10","size":null,"custom_class":null,"multiselect":false,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-6","custom_attributes":[]},{"id":10,"name":"field_11","extras":{"showConfigurator":false},"type":"checkbox","label":null,"help_text":null,"options":"Product 2 $5.00","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-6","custom_attributes":[]},{"id":11,"name":"field_12","extras":{"showConfigurator":false},"type":"dropdown","label":"Quantity For Product 2","help_text":null,"prefix_icon":"none","suffix_icon":"none","options":"1\\n2\\n3\\n4\\n5\\n6\\n7\\n8\\n9\\n10","size":null,"custom_class":null,"multiselect":false,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-6","custom_attributes":[]}],"emailConfig":{"email":{"from":"admin@admin.com","to":"admin@admin.com","cc":null,"bcc":null,"subject":"Product Order From :  __field_2__","body":"Product Order : \\nName :  __field_2__\\nCompany :  __field_3__ \\nShipping Address :  __field_4__\\nBilling Address :  __field_5__\\nContact number :  __field_6__\\nSpecial Intruction :  __field_7__\\nProduct 1:  __field_9__\\nQuantity for product 1 :  __field_10__\\nProduct 2 :  __field_11__\\nQuantity for product 2 :   __field_12__"},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":0,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#ffffff","image_path":null},"notification":{"post_submit_action":"same_page","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":null,"position":"toast-top-right"},"submit":{"text":"Submit","loading_text":"Submitting...","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-outline-success","btn_style":"outline","btn_icon":"fa-fast-forward","icon_position":"left"},"form_data":{"col_visible":["field_2","field_3","field_4","field_5","field_6","field_7","field_9","field_10","field_11","field_12"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":false,"prefix":null,"suffix":null,"start_no":"1","min_digit":"4"},"theme":"cerulean","is_enabled_draft_submit":0},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":null,"element":null,"conditions":[{"condition":null,"value":null,"element_type":"text","element_index":null,"operator":"=="}]}],"form_attributes":[]}', 'mailchimp_details' => '{"is_enable":false,"api_key":null,"list_id":null,"email_field":null,"name_field":null}', 'is_template' => '1', 'created_by' => '1', 'submission_count' => '0', 'created_at' => '2020-07-28 15:32:42', 'updated_at' => '2020-07-28 15:32:42'],
            ['id' => '3984156b-e698-4e68-858d-1758002a3d14', 'name' => 'Research survey form', 'slug' => 'research-survey-form-jeq', 'description' => 'Surveys are the perfect way to gauge customer, employee, or even just public opinion about your brand', 'schema' => '{"form":[{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h1","text_color":"#267acf","content":"Research Survey","col":"col-md-12","required":false,"required_error_msg":"This field is required","validations":[],"custom_attributes":[],"conditional_class":null},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"html_text","label":"HTML Text","html_text":"<p><span style=\\"font-family: &quot;Lucida Grande&quot;, &quot;Lucida Sans Unicode&quot;, &quot;Lucida Sans&quot;, Verdana, sans-serif; font-size: 14.994px;\\">Please take a few minutes to fill out this research survey.<\\/span><br><\\/p>","custom_class":null,"col":"col-md-12","required":false,"required_error_msg":"This field is required","validations":[],"custom_attributes":[],"conditional_class":null},{"id":2,"name":"field_3","extras":{"showConfigurator":false},"type":"radio","label":"Gender","help_text":null,"options":"Male\\nFemale\\nN\\/A","conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"radio","label":"Age","help_text":null,"options":"0 - 17\\n18 - 24\\n25 - 34\\n35 - 44\\n45 - 54\\n55 or more","conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]},{"id":4,"name":"field_5","extras":{"showConfigurator":false},"type":"radio","label":"Education","help_text":null,"options":"Less than HS diploma\\nHigh school\\nBachelors degree\\nGraduate degre\\nMaster degree","conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]},{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"radio","label":"income","help_text":null,"options":"$0 - $24,999\\n$25,000 - $49,999\\n$50,000 - $74,999\\n$75,000 - $99,999\\n$100,000 - $149,999\\n$150,000 or more","conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"radio","label":"Business type","help_text":null,"options":"Real state\\nHealth sector\\nFood business\\n Life\\/career coach\\nConsultant firm","conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":false,"required_error_msg":"This field is required","validations":[]},{"id":7,"name":"field_8","extras":{"showConfigurator":false},"type":"switch","label":"Any other business?","conditional_class":null,"help_text":null,"size":"switch","col":"col-md-12","custom_attributes":[],"required":false,"required_error_msg":"This field is required","validations":[]},{"id":8,"name":"field_9","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Business name","help_text":null,"prefix_icon":"none","suffix_icon":"none","placeholder":null,"size":null,"custom_class":null,"conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]}],"emailConfig":{"email":{"enable":null,"from":null,"to":null,"cc":null,"bcc":null,"subject":null,"body":null},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":0,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#ffffff","image_path":null},"notification":{"post_submit_action":"same_page","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":null,"position":"toast-bottom-right"},"submit":{"text":"Save","loading_text":"Saving....","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-outline-warning","btn_style":"outline","btn_icon":"fa-save","icon_position":"left"},"form_data":{"col_visible":["field_3","field_4","field_5","field_6","field_7","field_8","field_9"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":false,"prefix":null,"suffix":null,"start_no":"1","min_digit":"4"},"theme":"materia","is_enabled_draft_submit":0},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":"show","element":"field_9","conditions":[{"condition":"field_8","value":"1","element_type":"switch","element_index":7,"operator":"=="}]}],"form_attributes":[]}', 'mailchimp_details' => '[]', 'is_template' => '0', 'created_by' => '1', 'submission_count' => '0', 'created_at' => '2020-07-28 18:45:13', 'updated_at' => '2020-07-29 11:57:34'],
            ['id' => '426ce4ff-1341-461d-123s-e855ce444a31', 'name' => 'Contact form', 'slug' => 'contact-form-peg', 'description' => 'Simple form with name, contact, subject & body.', 'schema' => '{"form":[{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h1","text_color":"#ee301d","content":"Contact us","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"p","text_color":"#343637","content":"Fill out the form below and we will contact you soon.","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Name","help_text":null,"prefix_icon":"fa-user","suffix_icon":"none","placeholder":"Enter your name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"text","subtype":"email","label":"Email","help_text":null,"prefix_icon":"fa-envelope","suffix_icon":"none","placeholder":"Email to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[{"rule":"email","error_msg":"Please provide a valid email"}],"conditional_class":null,"col":"col-md-12"},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Phone No.","help_text":null,"prefix_icon":"fa-phone","suffix_icon":"none","placeholder":"Phone number to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":2,"name":"field_3","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Subject","help_text":null,"prefix_icon":"fa-question","suffix_icon":"none","placeholder":null,"size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":4,"name":"field_5","extras":{"showConfigurator":false},"type":"textarea","label":"Body","help_text":null,"prefix_icon":"none","suffix_icon":"none","rows":"7","columns":null,"placeholder":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"}],"emailConfig":{"email":{"from":"admin@admin.com","to":"admin@admin.com","cc":null,"bcc":null,"subject":"New contact from  __field_1__","body":"New contact form submission:\\n\\nName:  __field_1__\\nEmail:  __field_2__\\nPhone No.:  __field_4__\\nSubject:  __field_3__\\nBody:  __field_5__\\n\\n--------------------------\\nSend via contact form"},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":0,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#ffffff","image_path":null},"notification":{"post_submit_action":"redirect","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":"http:\\/\\/thewebfosters.com\\/","position":"toast-top-right"},"submit":{"text":"Submit","loading_text":"Submitting...","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-outline-success","btn_style":"outline","btn_icon":"fa-share","icon_position":"right"},"form_data":{"col_visible":["field_1","field_2","field_4","field_3","field_5"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":true,"prefix":"#ref","suffix":null,"start_no":"1","min_digit":"4"},"theme":"materia","is_enabled_draft_submit":true},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":null,"element":null,"conditions":[{"condition":null,"value":null,"element_type":"text","element_index":null,"operator":"=="}]}],"form_attributes":[]}', 'mailchimp_details' => '{"is_enable":false,"api_key":null,"list_id":null,"email_field":null,"name_field":null}', 'is_template' => '1', 'created_by' => '1', 'submission_count' => '1', 'created_at' => '2020-07-28 15:32:42', 'updated_at' => '2020-07-28 15:32:42'],
            ['id' => '426ce4ff-1341-461d-b562-e855ce44lyn6', 'name' => 'Contact form with Draft button', 'slug' => 'contact-form-with-draft-button-aub', 'description' => 'Simple form with name, contact, subject & body.', 'schema' => '{"form":[{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h1","text_color":"#ee301d","content":"Contact us","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"p","text_color":"#343637","content":"Fill out the form below and we will contact you soon, material theme is used here, you can save form as a draft and you\'ll be given a URL through which you can fill & submit the form later.","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Name","help_text":null,"prefix_icon":"fa-user","suffix_icon":"none","placeholder":"Enter your name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"text","subtype":"email","label":"Email","help_text":null,"prefix_icon":"fa-envelope","suffix_icon":"none","placeholder":"Email to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[{"rule":"email","error_msg":"Please provide a valid email"}],"conditional_class":null,"col":"col-md-12"},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Phone No.","help_text":null,"prefix_icon":"fa-phone","suffix_icon":"none","placeholder":"Phone number to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":2,"name":"field_3","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Subject","help_text":null,"prefix_icon":"fa-question","suffix_icon":"none","placeholder":null,"size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":4,"name":"field_5","extras":{"showConfigurator":false},"type":"textarea","label":"Body","help_text":null,"prefix_icon":"none","suffix_icon":"none","rows":"7","columns":null,"placeholder":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"}],"emailConfig":{"email":{"from":"admin@admin.com","to":"admin@admin.com","cc":null,"bcc":null,"subject":"New contact from  __field_1__","body":"New contact form submission:\\n\\nName:  __field_1__\\nEmail:  __field_2__\\nPhone No.:  __field_4__\\nSubject:  __field_3__\\nBody:  __field_5__\\n\\n--------------------------\\nSend via contact form"},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":0,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#ffffff","image_path":null},"notification":{"post_submit_action":"redirect","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":"http:\\/\\/thewebfosters.com\\/","position":"toast-top-right"},"submit":{"text":"Submit","loading_text":"Submitting...","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-outline-success","btn_style":"outline","btn_icon":"fa-share","icon_position":"right"},"form_data":{"col_visible":["field_1","field_2","field_4","field_3","field_5"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":true,"prefix":"#ref","suffix":null,"start_no":"1","min_digit":"4"},"theme":"materia","is_enabled_draft_submit":true},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":null,"element":null,"conditions":[{"condition":null,"value":null,"element_type":"text","element_index":null,"operator":"=="}]}],"form_attributes":[]}', 'mailchimp_details' => '{"is_enable":false,"api_key":null,"list_id":null,"email_field":null,"name_field":null}', 'is_template' => '0', 'created_by' => '1', 'submission_count' => '1', 'created_at' => '2020-07-28 15:32:42', 'updated_at' => '2020-07-28 15:32:42'],
            ['id' => '6309c0a2-77ed-47aa-b0e2-81e5a4c048a0', 'name' => 'Contact form with conditional field', 'slug' => 'contact-form-with-conditional-field-9q8', 'description' => 'Simple form with name, contact, subject & body.', 'schema' => '{"form":[{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h1","text_color":"#ee301d","content":"Contact us","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"p","text_color":"#343637","content":"Fill out the form below and we will contact you soon, here email & phone no. are conditional fields, fill the name and see the effect.","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Name","help_text":null,"prefix_icon":"fa-user","suffix_icon":"none","placeholder":"Enter your name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"text","subtype":"email","label":"Email","help_text":null,"prefix_icon":"fa-envelope","suffix_icon":"none","placeholder":"Email to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[{"rule":"email","error_msg":"Please provide a valid email"}],"conditional_class":null,"col":"col-md-12"},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Phone No.","help_text":null,"prefix_icon":"fa-phone","suffix_icon":"none","placeholder":"Phone number to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":2,"name":"field_3","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Subject","help_text":null,"prefix_icon":"fa-question","suffix_icon":"none","placeholder":null,"size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":4,"name":"field_5","extras":{"showConfigurator":false},"type":"textarea","label":"Body","help_text":null,"prefix_icon":"none","suffix_icon":"none","rows":"7","columns":null,"placeholder":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"}],"emailConfig":{"email":{"from":"admin@admin.com","to":"admin@admin.com","cc":null,"bcc":null,"subject":"New contact from  __field_1__","body":"New contact form submission:\\n\\nName:  __field_1__\\nEmail:  __field_2__\\nPhone No.:  __field_4__\\nSubject:  __field_3__\\nBody:  __field_5__\\n\\n--------------------------\\nSend via contact form"},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":false,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#86A7A3","image_path":null},"notification":{"post_submit_action":"same_page","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":null,"position":"toast-bottom-center"},"submit":{"text":"Submit","loading_text":"Submitting...","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-outline-primary","btn_style":"outline","btn_icon":"fa-save","icon_position":"left"},"form_data":{"col_visible":["field_1","field_2","field_4","field_3","field_5"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":false,"prefix":null,"suffix":null,"start_no":"1","min_digit":"4"},"theme":"lumen","is_enabled_draft_submit":0},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":"show","element":"field_2","conditions":[{"condition":"field_1","value":null,"element_type":"text","element_index":2,"operator":"not_empty"}]},{"action":"show","element":"field_4","conditions":[{"condition":"field_1","value":null,"element_type":"text","element_index":2,"operator":"not_empty"},{"condition":"field_2","value":null,"element_type":"text","element_index":3,"operator":"not_empty"}]}],"form_attributes":[]}', 'mailchimp_details' => '{"is_enable":false,"api_key":null,"list_id":null,"email_field":null,"name_field":null}', 'is_template' => '0', 'created_by' => '1', 'submission_count' => '0', 'created_at' => '2020-07-28 15:32:42', 'updated_at' => '2020-07-29 12:09:14'],
            ['id' => '6aaf3f59-afab-40ac-a5fc-f38ad7274ae9', 'name' => 'Course registration form', 'slug' => 'course-registration-form-tge', 'description' => 'Course registration form for students', 'schema' => '{"form":[{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h2","text_color":"#f7676b","content":"Student Registration Form","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"p","text_color":"#5c646d","content":"Fill out the form carefully for registration","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":2,"name":"field_3","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Student Name","help_text":null,"prefix_icon":"fa-user","suffix_icon":"none","placeholder":"Enter your name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-6","custom_attributes":[]},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"calendar","label":"Birth Date","help_text":null,"size":null,"prefix_icon":"fa-calendar-check","suffix_icon":"none","custom_class":null,"start_date":"none","end_date":"none","format":"MM-DD-YYYY","disabled_days":[],"enable_time_picker":false,"time_format":"12","time_picker_inline":false,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-6","custom_attributes":[]},{"id":4,"name":"field_5","extras":{"showConfigurator":false},"type":"radio","label":"Gender","help_text":null,"options":"Male\\nFemale\\nOther","required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"text","subtype":"email","label":"Email","help_text":null,"prefix_icon":"fa-envelope","suffix_icon":"none","placeholder":"Enter your email","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[{"rule":"email","error_msg":"Please provide correct email."}],"conditional_class":null,"col":"col-md-12"},{"id":7,"name":"field_8","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Mobile Number","help_text":null,"prefix_icon":"fa-phone-square","suffix_icon":"none","placeholder":"Enter your mobile number","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":8,"name":"field_9","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Company","help_text":null,"prefix_icon":"fa-briefcase","suffix_icon":"none","placeholder":"Enter company name","size":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":9,"name":"field_10","extras":{"showConfigurator":false},"type":"dropdown","label":"Courses","help_text":"Choose course you want to pursue","prefix_icon":"fa-certificate","suffix_icon":"none","options":"Php\\nJava\\nC++\\nPython\\nGame Design","size":null,"custom_class":null,"multiselect":false,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"textarea","label":"Address","help_text":null,"prefix_icon":"fa-home","suffix_icon":"none","rows":3,"columns":null,"placeholder":"Provide street, landmark, city, state, postal code, country","custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":11,"name":"field_12","extras":{"showConfigurator":false},"type":"file_upload","label":"Image for logo","help_text":null,"upload_text":"Drop a file here","no_of_files":"1","send_as_email_attachment":true,"file_size_limit":5,"file_type":"Specify_type","allowed_file_type":".jpg, .png, .jpeg","custom_class":null,"conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]},{"id":10,"name":"field_11","extras":{"showConfigurator":false},"type":"textarea","label":"Enquiry if any ?","help_text":null,"prefix_icon":"fa-question-circle","suffix_icon":"none","rows":3,"columns":null,"placeholder":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"}],"emailConfig":{"email":{"from":"admin@admin.com","to":"admin@admin.com","cc":null,"bcc":null,"subject":"New Registration By:  __field_3__","body":"Registration Details : \\nName :  __field_3__\\nDOB :  __field_4__\\nGender :  __field_5__\\nAddress :  __field_6__\\nEmail :  __field_7__\\nMobile Number :  __field_8__\\nCompany :  __field_9__\\nCourse :  __field_10__\\nEnquiry :  __field_11__"},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":0,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#ffe2c2","image_path":null},"notification":{"post_submit_action":"same_page","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":null,"position":"toast-top-right"},"submit":{"text":"Submit","loading_text":"Submitting...","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-success","btn_style":"default","btn_icon":"fa-save","icon_position":"left"},"form_data":{"col_visible":["field_3","field_4","field_5","field_6","field_7","field_8","field_9","field_10","field_11","field_12"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":false,"prefix":null,"suffix":null,"start_no":"1","min_digit":"4"},"theme":"lux","is_enabled_draft_submit":0},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":null,"element":null,"conditions":[{"condition":null,"value":null,"element_type":"text","element_index":null,"operator":"=="}]}],"form_attributes":[]}', 'mailchimp_details' => '{"is_enable":false,"api_key":null,"list_id":null,"email_field":null,"name_field":null}', 'is_template' => '1', 'created_by' => '1', 'submission_count' => '0', 'created_at' => '2020-07-28 15:32:42', 'updated_at' => '2020-07-28 15:32:42'],
            ['id' => 'b111b35b-a8bb-47fc-af34-e5a02b2a7add', 'name' => 'Event registration form', 'slug' => 'event-registration-form-1hv', 'description' => 'Event registration form, can be used  for hackthon or webinar invitation', 'schema' => '{"form":[{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h1","text_color":"#ee301d","content":"Event registration","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"p","text_color":"#343637","content":"Register by providing the details below,the theme here used is lumen.","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Name","help_text":null,"prefix_icon":"fa-user","suffix_icon":"none","placeholder":"Enter your name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-6","custom_attributes":[]},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"text","subtype":"email","label":"Email","help_text":null,"prefix_icon":"fa-envelope","suffix_icon":"none","placeholder":"Email to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[{"rule":"email","error_msg":"Please provide a valid email"}],"conditional_class":null,"col":"col-md-6","custom_attributes":[]},{"id":15,"name":"field_16","extras":{"showConfigurator":false},"type":"radio","label":"Gender","help_text":null,"options":"Male\\nFemale\\nOther","conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Phone No.","help_text":null,"prefix_icon":"fa-phone","suffix_icon":"none","placeholder":"Phone number to contact you","size":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":13,"name":"field_14","extras":{"showConfigurator":false},"type":"radio","label":"Which Event?","help_text":null,"options":"Innovathon-Innovating Hackathon\\nHackerTech Hackathon\\nWebinar on Flutter dev\\nWebinar On TDD Using Jest","required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":14,"name":"field_15","extras":{"showConfigurator":false},"type":"file_upload","label":"Verification Documents","help_text":"Provide us the document to verify (passport or any other government identify proof)","upload_text":"Drop a file here (Max 1 MB)","no_of_files":"1","send_as_email_attachment":true,"file_size_limit":"1","file_type":"all","allowed_file_type":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":16,"name":"field_17","extras":{"showConfigurator":false},"type":"signature","label":"Signature","col":"col-md-12","html_text":null,"custom_class":null,"custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null}],"emailConfig":{"email":{"from":"admin@admin.com","to":"admin@admin.com","cc":null,"bcc":null,"subject":"New registration details:  __field_1__","body":"New Registration:\\n\\nName:  __field_1__\\nEmail:  __field_2__\\nPhone no.:  __field_4__\\nEvent:  __field_14__"},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":0,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#ffffff","image_path":null},"notification":{"post_submit_action":"same_page","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":null,"position":"toast-top-right"},"submit":{"text":"Submit","loading_text":"Submitting...","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-primary","btn_style":"default","btn_icon":"none","icon_position":"left"},"form_data":{"col_visible":["field_1","field_2","field_14","field_15","field_16","field_17","field_18"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":false,"prefix":null,"suffix":null,"start_no":"1","min_digit":"4"},"theme":"lumen","is_enabled_draft_submit":0},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":null,"element":null,"conditions":[{"condition":null,"value":null,"element_type":"text","element_index":null,"operator":"=="}]}],"form_attributes":[]}', 'mailchimp_details' => '{"is_enable":false,"api_key":null,"list_id":null,"email_field":null,"name_field":null}', 'is_template' => '0', 'created_by' => '1', 'submission_count' => '0', 'created_at' => '2020-07-28 15:32:42', 'updated_at' => '2020-07-28 15:32:42'],
            ['id' => 'b111b35b-a8bb-47fc-zds1-e5a02b2a732s', 'name' => 'Event registration form', 'slug' => 'event-registration-form-1hv', 'description' => 'Event registration form, can be used  for hackathon or webinar invitation', 'schema' => '{"form":[{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h1","text_color":"#ee301d","content":"Event registration","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"p","text_color":"#343637","content":"Register by providing the details below.","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Name","help_text":null,"prefix_icon":"fa-user","suffix_icon":"none","placeholder":"Enter your name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-6","custom_attributes":[]},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"text","subtype":"email","label":"Email","help_text":null,"prefix_icon":"fa-envelope","suffix_icon":"none","placeholder":"Email to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[{"rule":"email","error_msg":"Please provide a valid email"}],"conditional_class":null,"col":"col-md-6","custom_attributes":[]},{"id":15,"name":"field_16","extras":{"showConfigurator":false},"type":"radio","label":"Gender","help_text":null,"options":"Male\\nFemale\\nOther","conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Phone No.","help_text":null,"prefix_icon":"fa-phone","suffix_icon":"none","placeholder":"Phone number to contact you","size":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":13,"name":"field_14","extras":{"showConfigurator":false},"type":"radio","label":"Which Event?","help_text":null,"options":"Innovathon-Innovating Hackathon\\nHackerTech Hackathon\\nWebinar on Flutter dev\\nWebinar On TDD Using Jest","required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":14,"name":"field_15","extras":{"showConfigurator":false},"type":"file_upload","label":"Verification Documents","help_text":"Provide us the document to verify (passport or any other government identify proof)","upload_text":"Drop a file here (Max 1 MB)","no_of_files":"1","send_as_email_attachment":true,"file_size_limit":"1","file_type":"all","allowed_file_type":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":16,"name":"field_17","extras":{"showConfigurator":false},"type":"signature","label":"Signature","col":"col-md-12","html_text":null,"custom_class":null,"custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null}],"emailConfig":{"email":{"from":"admin@admin.com","to":"admin@admin.com","cc":null,"bcc":null,"subject":"New registration details:  __field_1__","body":"New Registration:\\n\\nName:  __field_1__\\nEmail:  __field_2__\\nPhone no.:  __field_4__\\nEvent:  __field_14__"},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":0,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#ffffff","image_path":null},"notification":{"post_submit_action":"same_page","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":null,"position":"toast-top-right"},"submit":{"text":"Submit","loading_text":"Submitting...","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-primary","btn_style":"default","btn_icon":"none","icon_position":"left"},"form_data":{"col_visible":["field_1","field_2","field_14","field_15","field_16","field_17","field_18"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":false,"prefix":null,"suffix":null,"start_no":"1","min_digit":"4"},"theme":"lumen","is_enabled_draft_submit":0},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":null,"element":null,"conditions":[{"condition":null,"value":null,"element_type":"text","element_index":null,"operator":"=="}]}],"form_attributes":[]}', 'mailchimp_details' => '{"is_enable":false,"api_key":null,"list_id":null,"email_field":null,"name_field":null}', 'is_template' => '1', 'created_by' => '1', 'submission_count' => '0', 'created_at' => '2020-07-28 15:32:42', 'updated_at' => '2020-07-28 15:32:42'],
            ['id' => 'c4b9f308-d5ee-4ea6-a918-f2f94f0816ef', 'name' => 'Contact form with \'sketchy\' theme', 'slug' => 'contact-form-with-sketchy-theme-i41', 'description' => 'Simple form with name, contact, subject & body.', 'schema' => '{"form":[{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h1","text_color":"#ee301d","content":"Contact us","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"p","text_color":"#343637","content":"Fill out the form below and we will contact you soon, the theme here used is \\"Sketchy\\".","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Name","help_text":null,"prefix_icon":"fa-user","suffix_icon":"none","placeholder":"Enter your name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-6","custom_attributes":[{"key":"aria-label","value":"name"}]},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"text","subtype":"email","label":"Email","help_text":null,"prefix_icon":"fa-envelope","suffix_icon":"none","placeholder":"Email to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[{"rule":"email","error_msg":"Please provide a valid email"}],"conditional_class":null,"col":"col-md-6","custom_attributes":[{"key":"aria-label","value":"email"},{"key":"role","value":"email"}]},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Phone No.","help_text":null,"prefix_icon":"fa-phone","suffix_icon":"none","placeholder":"Phone number to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":2,"name":"field_3","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Subject","help_text":null,"prefix_icon":"fa-question","suffix_icon":"none","placeholder":null,"size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":4,"name":"field_5","extras":{"showConfigurator":false},"type":"textarea","label":"Body","help_text":null,"prefix_icon":"none","suffix_icon":"none","rows":"7","columns":null,"placeholder":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"}],"emailConfig":{"email":{"from":"admin@admin.com","to":"admin@admin.com","cc":null,"bcc":null,"subject":"New contact from  __field_1__","body":"New contact form submission:\\n\\nName:  __field_1__\\nEmail:  __field_2__\\nPhone No.:  __field_4__\\nSubject:  __field_3__\\nBody:  __field_5__\\n\\n--------------------------\\nSend via contact form"},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":0,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#ffffff","image_path":null},"notification":{"post_submit_action":"same_page","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":null,"position":"toast-top-right"},"submit":{"text":"Submit","loading_text":"Submitting...","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-primary","btn_style":"default","btn_icon":"none","icon_position":"left"},"form_data":{"col_visible":["field_1","field_2","field_3","field_5","field_8","field_9"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":false,"prefix":null,"suffix":null,"start_no":"1","min_digit":"4"},"theme":"sketchy","is_enabled_draft_submit":0},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":null,"element":null,"conditions":[{"condition":null,"value":null,"element_type":"text","element_index":null,"operator":"=="}]}],"form_attributes":[{"key":"role","value":"form"},{"key":"aria-label","value":"contact-info"}]}', 'mailchimp_details' => '{"is_enable":false,"api_key":null,"list_id":null,"email_field":null,"name_field":null}', 'is_template' => '0', 'created_by' => '1', 'submission_count' => '0', 'created_at' => '2020-07-28 15:32:42', 'updated_at' => '2020-07-28 16:57:42'],
            ['id' => 'e2fd806b-91e0-4235-23xz-10b1b80ce879', 'name' => 'Feedback form', 'slug' => 'feedback-form-goa', 'description' => 'Simple feedback form for your company', 'schema' => '{"form":[{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h1","text_color":"#ee301d","content":"Feedback Form","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"p","text_color":"#343637","content":"Provide your feedback in the below form.","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Name","help_text":null,"prefix_icon":"fa-user","suffix_icon":"none","placeholder":"Enter your name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-4","custom_attributes":[]},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"text","subtype":"email","label":"Email","help_text":null,"prefix_icon":"fa-envelope","suffix_icon":"none","placeholder":"Email to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[{"rule":"email","error_msg":"Please provide a valid email"}],"conditional_class":null,"col":"col-md-4","custom_attributes":[]},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Phone No.","help_text":null,"prefix_icon":"fa-phone","suffix_icon":"none","placeholder":"Phone number to contact you","size":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-4","custom_attributes":[]},{"id":7,"name":"field_8","extras":{"showConfigurator":false},"type":"textarea","label":"Office address","help_text":null,"prefix_icon":"fa-globe","suffix_icon":"none","rows":3,"columns":null,"placeholder":"Provide Street, Landmark, State, Postal Code, Country","custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":8,"name":"field_9","extras":{"showConfigurator":false},"type":"dropdown","label":"How did you hear about us?","help_text":null,"prefix_icon":"fa-bullhorn","suffix_icon":"none","options":"Newspaper\\nInternet\\nMagazine\\nFacebook\\nTwitter\\nLinkedIn","size":null,"custom_class":null,"multiselect":false,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":11,"name":"field_12","extras":{"showConfigurator":false},"type":"rating","label":"Rate us","conditional_class":null,"stars_to_display":5,"min_rating":0,"max_rating":5,"increment":0.5,"direction":"ltr","size":"md","col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]},{"id":4,"name":"field_5","extras":{"showConfigurator":false},"type":"textarea","label":"Feedback about us:","help_text":null,"prefix_icon":"none","suffix_icon":"none","rows":"4","columns":null,"placeholder":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":9,"name":"field_10","extras":{"showConfigurator":false},"type":"textarea","label":"Suggestions if any for further improvement:","help_text":null,"prefix_icon":"none","suffix_icon":"none","rows":3,"columns":null,"placeholder":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":10,"name":"field_11","extras":{"showConfigurator":false},"type":"radio","label":"Will you be willing to recommend us?","help_text":null,"options":"Yes\\nNo\\nMaybe","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"}],"emailConfig":{"email":{"from":"admin@admin.com","to":"admin@admin.com","cc":null,"bcc":null,"subject":"New Feedback from  __field_1__","body":"New Feedback:\\n\\nName:  __field_1__\\nEmail:  __field_2__\\nOffice address: __field_8__\\nHow did you hear about us?: __field_9__\\nFeedback: __field_5__\\nSuggestion:  __field_10__\\nWill you recommend?:  __field_11__\\n\\n--------------------------\\nSend via feedback form"},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":0,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#ffffff","image_path":null},"notification":{"post_submit_action":"same_page","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":null,"position":"toast-top-right"},"submit":{"text":"Submit","loading_text":"Submitting...","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-primary","btn_style":"default","btn_icon":"none","icon_position":"left"},"form_data":{"col_visible":["field_1","field_2","field_8","field_9","field_5","field_10","field_11","field_12"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":false,"prefix":null,"suffix":null,"start_no":"1","min_digit":"4"},"theme":"flatly","is_enabled_draft_submit":0},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":null,"element":null,"conditions":[{"condition":null,"value":null,"element_type":"text","element_index":null,"operator":"=="}]}],"form_attributes":[]}', 'mailchimp_details' => '{"is_enable":false,"api_key":null,"list_id":null,"email_field":null,"name_field":null}', 'is_template' => '1', 'created_by' => '1', 'submission_count' => '0', 'created_at' => '2020-07-28 15:32:42', 'updated_at' => '2020-07-28 15:32:42'],
            ['id' => 'e2fd806b-91e0-4235-8973-10b1b80ce879', 'name' => 'Feedback form', 'slug' => '', 'description' => 'Simple feedback form for your company', 'schema' => '{"form":[{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h1","text_color":"#ee301d","content":"Feedback form","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"p","text_color":"#343637","content":"Provide your feedback in the below form, the theme used here is \'flatly\'.","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Name","help_text":null,"prefix_icon":"fa-user","suffix_icon":"none","placeholder":"Enter your name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-4","custom_attributes":[]},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"text","subtype":"email","label":"Email","help_text":null,"prefix_icon":"fa-envelope","suffix_icon":"none","placeholder":"Email to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[{"rule":"email","error_msg":"Please provide a valid email"}],"conditional_class":null,"col":"col-md-4","custom_attributes":[]},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Phone No.","help_text":null,"prefix_icon":"fa-phone","suffix_icon":"none","placeholder":"Phone number to contact you","size":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-4","custom_attributes":[]},{"id":7,"name":"field_8","extras":{"showConfigurator":false},"type":"textarea","label":"Office address","help_text":null,"prefix_icon":"fa-globe","suffix_icon":"none","rows":3,"columns":null,"placeholder":"Provide Street, Landmark, State, Postal Code, Country","custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":8,"name":"field_9","extras":{"showConfigurator":false},"type":"dropdown","label":"How did you hear about us?","help_text":null,"prefix_icon":"fa-bullhorn","suffix_icon":"none","options":"Newspaper\\nInternet\\nMagazine\\nFacebook\\nTwitter\\nLinkedIn","size":null,"custom_class":null,"multiselect":false,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":11,"name":"field_12","extras":{"showConfigurator":false},"type":"rating","label":"Rate us","conditional_class":null,"stars_to_display":5,"min_rating":0,"max_rating":5,"increment":0.5,"direction":"ltr","size":"md","col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]},{"id":4,"name":"field_5","extras":{"showConfigurator":false},"type":"textarea","label":"Feedback about us:","help_text":null,"prefix_icon":"none","suffix_icon":"none","rows":"4","columns":null,"placeholder":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":9,"name":"field_10","extras":{"showConfigurator":false},"type":"textarea","label":"Suggestions if any for further improvement:","help_text":null,"prefix_icon":"none","suffix_icon":"none","rows":3,"columns":null,"placeholder":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":10,"name":"field_11","extras":{"showConfigurator":false},"type":"radio","label":"Will you be willing to recommend us?","help_text":null,"options":"Yes\\nNo\\nMaybe","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"}],"emailConfig":{"email":{"from":"admin@admin.com","to":"admin@admin.com","cc":null,"bcc":null,"subject":"New Feedback from  __field_1__","body":"New Feedback:\\n\\nName:  __field_1__\\nEmail:  __field_2__\\nOffice address: __field_8__\\nHow did you hear about us?: __field_9__\\nFeedback: __field_5__\\nSuggestion:  __field_10__\\nWill you recommend?:  __field_11__\\n\\n--------------------------\\nSend via feedback form"},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":0,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#ffffff","image_path":null},"notification":{"post_submit_action":"same_page","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":null,"position":"toast-top-right"},"submit":{"text":"Submit","loading_text":"Submitting...","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-primary","btn_style":"default","btn_icon":"none","icon_position":"left"},"form_data":{"col_visible":["field_1","field_2","field_8","field_9","field_5","field_10","field_11","field_12"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":false,"prefix":null,"suffix":null,"start_no":"1","min_digit":"4"},"theme":"flatly","is_enabled_draft_submit":0},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":null,"element":null,"conditions":[{"condition":null,"value":null,"element_type":"text","element_index":null,"operator":"=="}]}],"form_attributes":[]}', 'mailchimp_details' => '{"is_enable":false,"api_key":null,"list_id":null,"email_field":null,"name_field":null}', 'is_template' => '0', 'created_by' => '1', 'submission_count' => '0', 'created_at' => '2020-07-28 15:21:55', 'updated_at' => '2020-07-28 16:23:16'],
            ['id' => 'e5ea46f9-40ee-471d-b3de-75e163475f6e', 'name' => 'Contact form with \'litera\' theme', 'slug' => 'contact-form-with-litera-theme-pmz', 'description' => 'Simple form with name, contact, subject & body.', 'schema' => '{"form":[{"id":5,"name":"field_6","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"h1","text_color":"#ee301d","content":"Contact us","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":6,"name":"field_7","extras":{"showConfigurator":false},"type":"heading","label":"Heading\\/Paragraph","tag":"p","text_color":"#343637","content":"Fill out the form below and we will contact you soon, \'litera\' theme is used here with background color.","required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12","custom_attributes":[]},{"id":0,"name":"field_1","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Name","help_text":null,"prefix_icon":"fa-user","suffix_icon":"none","placeholder":"Enter your name","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":7,"name":"field_8","extras":{"showConfigurator":false},"type":"radio","label":"Gender","help_text":null,"options":"Male\\nFemale\\nOther","conditional_class":null,"col":"col-md-12","custom_attributes":[],"required":true,"required_error_msg":"This field is required","validations":[]},{"id":1,"name":"field_2","extras":{"showConfigurator":false},"type":"text","subtype":"email","label":"Email","help_text":null,"prefix_icon":"fa-envelope","suffix_icon":"none","placeholder":"Email to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[{"rule":"email","error_msg":"Please provide a valid email"}],"conditional_class":null,"col":"col-md-12"},{"id":3,"name":"field_4","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Phone No.","help_text":null,"prefix_icon":"fa-phone","suffix_icon":"none","placeholder":"Phone number to contact you","size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":2,"name":"field_3","extras":{"showConfigurator":false},"type":"text","subtype":"text","label":"Subject","help_text":null,"prefix_icon":"fa-question","suffix_icon":"none","placeholder":null,"size":null,"custom_class":null,"required":true,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"},{"id":4,"name":"field_5","extras":{"showConfigurator":false},"type":"textarea","label":"Body","help_text":null,"prefix_icon":"none","suffix_icon":"none","rows":"7","columns":null,"placeholder":null,"custom_class":null,"required":false,"required_error_msg":"This field is required","validations":[],"conditional_class":null,"col":"col-md-12"}],"emailConfig":{"email":{"from":"admin@admin.com","to":"admin@admin.com","cc":null,"bcc":null,"subject":"New contact from  __field_1__","body":"New contact form submission:\\n\\nName:  __field_1__\\nEmail:  __field_2__\\nPhone No.:  __field_4__\\nSubject:  __field_3__\\nBody:  __field_5__\\n\\n--------------------------\\nSend via contact form"},"auto_response":{"from":null,"to":null,"subject":null,"body":null,"is_enable":false},"smtp":{"host":null,"port":null,"from_address":null,"from_name":null,"encryption":null,"username":null,"password":null,"use_system_smtp":1}},"settings":{"recaptcha":{"is_enable":0,"site_key":null,"secret_key":null},"color":{"label":"#000000","error_msg":"#a94442","required_asterisk_color":"#a94442","background":"#cdeca7","image_path":null},"notification":{"post_submit_action":"same_page","failed_msg":"Something went wrong, please try again.","success_msg":"Email sent successfully.","redirect_url":null,"position":"toast-top-center"},"submit":{"text":"Submit","loading_text":"Submitting...","btn_alignment":"float-right","btn_size":null,"btn_color":"btn-outline-success","btn_style":"outline","btn_icon":"fa-archive","icon_position":"left"},"form_data":{"col_visible":["field_1","field_8","field_2","field_4","field_3","field_5"],"btn_enabled":["view","delete"]},"background":{"bg_type":"bg_color"},"form_scheduling":{"closed_msg":"The form has been closed now!","start_date_time":null,"end_date_time":null,"is_enabled":false},"form_submision_ref":{"is_enabled":false,"prefix":null,"suffix":null,"start_no":"1","min_digit":"4"},"theme":"litera","is_enabled_draft_submit":0},"additional_js_css":{"js":null,"css":null},"conditional_fields":[{"action":null,"element":null,"conditions":[{"condition":null,"value":null,"element_type":"text","element_index":null,"operator":"=="}]}],"form_attributes":[]}', 'mailchimp_details' => '{"is_enable":false,"api_key":null,"list_id":null,"email_field":null,"name_field":null}', 'is_template' => '0', 'created_by' => '1', 'submission_count' => '0', 'created_at' => '2020-07-28 13:45:59', 'updated_at' => '2020-07-28 16:57:10'],
        ];

        //TODO: temporary code, need to be remove later
        foreach ($forms as $form) {
            DB::table('forms')
                ->updateOrInsert(
                    ['id' => $form['id']],
                    $form
                );
        }

        //TODO: temporaily commented, uncomment later
        //DB::table('forms')->insert($forms);
    }
}
